createNasVolumeInstance

Prev Next

Available in VPC

Creates NAS volume instances.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vnas/v2/createNasVolumeInstance
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all NAS (VPC) APIs, see NAS (VPC) common headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code where the NAS volume instance will be created
zoneCode String Optional Zone code where the NAS volume instance will be created
volumeAllotmentProtocolTypeCode String Required Volume allocation protocol type code
  • NFS | CIFS
    • NFS: It can be mounted on Linux servers such as CentOS and Ubuntu.
    • CIFS: It can be mounted on Windows Servers.
volumeSize Integer Required Volume size
  • 500-20,000
  • Enter in increments of 100 GB.
volumeName String Optional NAS volume name
  • Enter 3-20 characters using a combination of English letters and numbers.
  • It is granted automatically if not entered.
  • Entered name is prefixed with "nMemberID_"for customer identification.
accessControlRuleList.N.serverInstanceNo String Conditional Number of server instance to set with access control
accessControlRuleList.N.writeAccess Boolean Optional Set writing permissions
  • true (default) | false
    • true: Set
    • false: Not set
cifsUserName String Conditional CIFS username
  • Required when creating a CIFS-type volume for the first time.
  • It can't be changed after setup.
  • Enter 6 to 19 characters with a combination of English letters and numbers.
cifsUserPassword String Conditional CIFS user password
  • Required when creating a CIFS-type volume for the first time.
  • Enter 8 to 14 characters with a combination of letters, numbers, and special characters "!", "@", "^", "&", and "*".
  • Passwords similar to the CIFS username are not allowed.
isEncryptedVolume Boolean Optional Set NAS volume encryption
  • Apply encryption by NAS volume.
  • Applicable only when creating a NAS volume for the first time.
  • true | false (default)
    • true: Set
    • false: Not set
isReturnProtection Boolean Optional Set termination protection
  • true | false (default)
    • true: Set
    • false: Not set
nasVolumeDescription String Optional Description of the volume (bytes)
  • 0-1000
isAsync Boolean Optional Set async
  • true | false (default)
    • true: Set
    • false: Not set
responseFormatType String Optional Format type of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vnas/v2/createNasVolumeInstance
?regionCode=KR
&zoneCode=KR-2
&volumeName=volume00
&volumeAllotmentProtocolTypeCode=CIFS
&volumeSize=500
&accessControlRuleList.1.serverInstanceNo=23430000
&accessControlRuleList.1.writeAccess=true
&cifsUserName=user******
&cifsUserPassword=************
&isEncryptedVolume=true
&isReturnProtection=true
&nasVolumeDescription=test
&isAsync=true
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

See NasVolumeInstanceList for the response body.

Response status codes

For information about the HTTP status codes common to all NAS (VPC) APIs, see NAS (VPC) response status codes.

Response example

The response example is as follows:

{
    "createNasVolumeInstanceResponse": {
        "totalRows": 1,
        "nasVolumeInstanceList": [
            {
                "nasVolumeInstanceNo": "23490000",
                "nasVolumeInstanceStatus": {
                    "code": "INIT",
                    "codeName": "NAS INIT state"
                },
                "nasVolumeInstanceOperation": {
                    "code": "CREAT",
                    "codeName": "NAS CREAT OP"
                },
                "nasVolumeInstanceStatusName": "creating",
                "createDate": "2024-04-08T09:04:28+0900",
                "nasVolumeDescription": "test",
                "mountInformation": "\\\\169.254.00.00\\n2768364_volume00",
                "volumeAllotmentProtocolType": {
                    "code": "CIFS",
                    "codeName": "CIFS"
                },
                "volumeName": "n2768364_volume00",
                "volumeTotalSize": 536870912000,
                "volumeSize": 536870912000,
                "snapshotVolumeConfigurationRatio": 0.0,
                "snapshotVolumeSize": 0,
                "isSnapshotConfiguration": false,
                "isEventConfiguration": false,
                "regionCode": "KR",
                "zoneCode": "KR-2",
                "nasVolumeServerInstanceNoList": [
                    "23430000"
                ],
                "isEncryptedVolume": true,
                "nasVolumeInstanceCustomIpList": [],
                "isReturnProtection": true
            }
        ],
        "requestId": "",
        "returnCode": "0",
        "returnMessage": "success"
    }
}